## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global forgeurl https://git.skyjake.fi/gemini/lagrange
%global appid fi.skyjake.Lagrange

Name:           lagrange
Version:        1.12.1
Release:        %autorelease
Summary:        A Beautiful Gemini Client

# SPDX-3.0-License-Identifier: BSD-2-Clause
License:        BSD
URL:            https://gmi.skyjake.fi/lagrange/
Source0:        %{forgeurl}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(the_Foundation)
# for checks
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%description
Lagrange is a desktop GUI client for browsing Geminispace. It offers modern
conveniences familiar from web browsers, such as smooth scrolling, inline image
viewing, multiple tabs, visual themes, Unicode fonts, bookmarks, history, and
page outlines.

Like Gemini, Lagrange has been designed with minimalism in mind. It depends on a
small number of essential libraries. It is written in C and uses SDL for
hardware-accelerated graphics. OpenSSL is used for secure communications.


%prep
%autosetup -p1
# remove bundled libs
rm -rf lib
%if 0%{?el8}
# EL8 appdata does not support this, remove
sed -i -e '/<url type="contact">/d' res/fi.skyjake.Lagrange.appdata.xml
%endif


%build
%cmake
%cmake_build


%install
%cmake_install


%check
desktop-file-validate \
  %{buildroot}/%{_datadir}/applications/%{appid}.desktop

appstream-util validate-relax --nonet \
  %{buildroot}%{_metainfodir}/%{appid}.appdata.xml


%files
%license LICENSE.md
%doc AUTHORS.md README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/icons/hicolor/256x256/apps/%{appid}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/resources.lgr
%{_mandir}/man1/%{name}.1*
%{_metainfodir}/%{appid}.appdata.xml

%changelog
* Fri Apr 08 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 1.12.1-1
- Update to 1.12.1

* Mon Mar 21 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 1.11.2-1
- Update to 1.11.2

* Mon Mar 07 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 1.11.1-2
- Bump for the_foundation SOVERSION change

* Sun Mar 06 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 1.11.1-1
- Update to 1.11.1 (resolves: rhbz#2056199)

* Fri Feb 11 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 1.10.5-1
- Update to 1.10.5

* Tue Feb 08 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 1.10.4-1
- Initial Fedora package
